# The default place for this on Centos linux is:  
#   
#    /etc/profile.d
#
# for Solaris 10:
#
#  TBD

PREFIX=/usr/local/juno
export PREFIX

if [ "$PYTHONPATH" != "" ]; then
	export PYTHONPATH=$PYTHONPATH:$PREFIX/lib/python2.4
else
	export PYTHONPATH=$PREFIX/lib/python2.4
fi

export WAVES_DATA=$PREFIX/data

export PRINTER=inkjetRack

if [ "$MANPATH" != "" ]; then
	export MANPATH=$MANPATH:$PREFIX/man
else
	export MANPATH=$PREFIX/man:/usr/share/man:/usr/local/share/man:/usr/local/man
fi


if [ "$(echo $PATH | grep $PREFIX/bin)" = "" ] ; then 
	export PATH=$PATH:$PREFIX/bin
fi

if [ "$(echo $LD_LIBRARY_PATH | grep $PREFIX/lib)" = "" ] ; then
	if [ "$LD_LIBRARY_PATH" = "" ]; then
		export LD_LIBRARY_PATH=$PREFIX/lib
	else
		export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$PREFIX/lib
	fi
fi

export PGPLOT_DIR=/usr/local/pgplot
export PRINTER=inkjetRack

