/* JWavesDefs.i */

#define JUNO_SPICE_ID -61
#define JWAVES_KIND_HOUSEKEEPING 0x6
#define JWAVES_KIND_PROCESS 0x7
#define JWAVES_KIND_SCI_DATA 0x8
#define JWAVES_KIND_MRO 0xE
#define JWAVES_CNT_RAW_IDP 0x1
#define JWAVES_CNT_MP_DATA 0x3
#define JWAVES_CNT_CAPTURE 0x4
#define JWAVES_CNT_MEASUREMENT 0x5
#define JW_SDS_BLK_TYPE_ID  0x10 
#define JW_MRO_BLK_TYPE_ID 0x11
#define JW_HRS_BIN_HDR_ID 0x1A
#define JW_CCSDS_BLK_TYPE_ID 0x20
#define JW_RDR_PROC_STEP_ID 0x10
#define JW_SCELRS_PROC_STEP_ID 0x11
#define JW_SCEHRS_PROC_STEP_ID 0x12
#define JW_FDM_PROC_STEP_ID 0x13
#define JW_SFDU_PROC_STEP_ID 0x14
#define JW_UPACK_PROC_STEP_ID 0x20
#define JW_USEG_PROC_STEP_ID 0x30
#define JW_DCMP_PROC_STEP_ID 0x40
#define JW_DGLOP_PROC_STEP_ID 0x50
#define JW_REFMT_PROC_STEP_ID 0x60
#define JW_SBR_PROC_STEP_ID 0x70
#define JW_CAL_PROC_STEP_ID 0xE0
#define JW_TELEM_SRC_HSK  0x0 
#define JW_TELEM_SRC_LRS  0x1
#define JW_TELEM_SRC_HRS  0x2
#define  JW_8BIT_RICE  				   0x14 
#define  JW_8BIT_IN_8BIT  			    0x4 
#define  JW_8BIT_IN_16BIT_lo 		   0x11    							  
#define  JW_12BIT_RICE 				   0x13 
#define  JW_12BIT_IN_8BIT_truc  	   0x10 
#define  JW_12BIT_IN_12BIT			    0x6 
#define  JW_12BIT_IN_16BIT_lo		    0x7 
#define  JW_12BIT_IN_32BIT_lo		    0x8 
#define  JW_16BIT_RICE 				    0x9 
#define  JW_16BIT_IN_8BIT_truc 	    0xA 
#define  JW_16BIT_IN_12BIT_truc	    0xB 
#define  JW_16BIT_IN_16BIT  		    0xC 
#define  JW_16BIT_IN_32BIT_lo  	    0xD 
#define  JW_9BIT_IN_12BIT_lo_RICE   0xE 
#define  JW_9BIT_IN_16BIT_lo_RICE   0xF 
#define  JW_9BIT_IN_9BIT  			    0x5 
#define  JW_9BIT_IN_12BIT_lo        0x15
#define  JW_9BIT_IN_16BIT_lo 		    0x3 
#define  JW_9BIT_IN_32BIT_lo 		   0x12 

#define  JW_32BIT_IN_32BIT			    0x2 


