/* JWavesRdrBlk.i */

%rename(JWavesRdrBlk) cJWavesRdrBlk;
%newobject cJWavesRdrBlk::copy();

%header %{
#include <jwaves/JWavesRdrBlk.hpp>

cJWavesRdrBlk::cJWavesRdrBlk(cbytebuf_t buf, size_t uOver):
   cGseProcBlk(buf, uOver){
}
cJWavesRdrBlk::cJWavesRdrBlk():cGseProcBlk(){
}

cJWavesRdrBlk::cJWavesRdrBlk(GseBlock* pOther):cGseProcBlk(pOther){
}

cGseBlock* cJWavesRdrBlk::copy(){
	GseBlock* pNewCobj = m_pBlk->copy(m_pBlk, 0);
	return (cGseBlock*)new cJWavesRdrBlk(pNewCobj);
}

byte cJWavesRdrBlk::source(){
	return ((JWavesRdrBlk*)m_pBlk)->uSource;
}

/*cJWavesRdrBlk* jwaves_getRdrBlk(GsePkt* pPkt){
		
}*/

%}

%include "jwaves/JWavesRdrBlk.hpp"

%inline %{
cJWavesRdrBlk* cast_JWavesRdrBlk(cGseBlock* pBlk){
	return (cJWavesRdrBlk*)pBlk;
}
%}

