#define _POSIX_C_SOURCE 200112

#ifdef GSE_POSIX_THREADS
#include <pthread.h>
#endif

#include <rpwgse/Gse.h>
#include "../jwaves/JWavesConv.h"

int main(int argc, char** argv)
{
	uint2 uConv = 0x01FF;  
	
	if(argc > 1)
		uConv = strtol(argv[1], NULL, 0);
	
	gse_thread_init(GSE_NOTICE, NULL); 
	
	fprintf(stdout, "In: 0x%hX  Out %.2e\n", uConv, jwaves_conv_flt9(uConv));
	
	return 0;
}
