# A GNU Makefile.  To get gnu make for windows goto:
# 
#   http://gnuwin32.sourceforge.net/  
#
# and get the 'make' package.  
#
# This makefile expects a working uname command, to get this goto the
# site above and get the 'CoreUtils' package.
#
# makefile for Willy's hexdump on WindowsXP using windows native command line
# tools you can get these by downloading "Visual Studio 2008 Express"
# To get the tools on to you path run the included vcvars32.bat file before
# attempting to run this program.
#
# DO NOT RUN under Cygwin!!!  This expects a native windows compliler
# as well as the CMD.EXE shell.

##############################################################################
# Generic Definitions

CC=cl.exe
SHELL=cmd.exe

# Pick a default install location, if user doesn't have one defined
ifeq ($(PREFIX),)
PREFIX=$(USERPROFILE)
endif

INST_BIN=$(PREFIX)\bin
INST_INC=$(PREFIX)\include
INST_LIB=$(PREFIX)\lib

# Have a seperate build directory for each arch so that we won't accidentally
# install libs for the wrong platform
ARCH=$(shell uname -s).$(shell uname -m)
BUILD_DIR:=build.$(ARCH)

##############################################################################
# Specific Definitions












