/* C++ interface to librpwgse, used for swig wrappers */
#ifndef cGseBlock_HPP_
#define cGseBlock_HPP_


class cGseBlock {
public:
	friend class cGsePkt;
	
	cGseBlock();
	cGseBlock(cbytebuf_t buf, size_t uOverMalloc);
	byte type();	
	byte length();
	const char* name();
	cbytebuf_t original();
	
	virtual cGseBlock* copy();
	
/*	bytebuf_t encode(byte uExtraLen, byte* pOffset);
	byte decode(cbytebuf_t buf); */
	virtual ~cGseBlock();
	
	bool isOwner();
	
protected:
	cGseBlock(GseBlock* pOther);
	
	GseBlock* m_pBlk;
	bool m_bOwner;
};

#endif /* cGseBlock_HPP_ */
