#ifndef _GseCrc_H_
#define _GseCrc_H_


#include <rpwgse/GseTypes.h>

#ifdef __cplusplus
extern "C" {
#endif

/** @addtogroup mod_hash */
/*@{*/


/** Generate a CRC-CCITT for an arbtrary string of bytes. */
uint2 gse_crc_ccitt(const byte* sData, size_t szLen);

/** Generate a CRC-CCITT one byte at a time 
 * This version is handy when generating CRC's over a non-contiguous chunk
 * of bytes
 */
uint2 gse_update_crc_ccitt(uint2 crc, byte b);

/*@}*/

#ifdef __cplusplus
}
#endif

#endif /* _GseCrc_H_ */
