#include <rpwgse/GseBlock.hpp>

#ifndef cGseProcBlk_HPP_
#define cGseProcBlk_HPP_

class cGseProcBlk : public cGseBlock{
public:
	cGseProcBlk();
	cGseProcBlk(cbytebuf_t, size_t uOverMalloc);
	cGseProcBlk(byte uStepID, byte uProgID, uint4 uBegSec, uint2 uBegUSecDiv100);
	byte stepID();
	byte progID();
	void setNow();
	uint8 microEpoch();
	uint4 begSec();
	uint4 begMicroSec();
	byte errors();
	void setErrors(byte uErrors);
	byte warnings();
	void setWarnings(byte uWarnings);
	
	virtual cGseBlock* copy();
protected:
	cGseProcBlk(GseBlock* pOther);

};

cGseProcBlk* cast_GseProcBlk(cGseBlock* pBlk);

#endif /* cGseProcBlk_HPP_ */
