/* Testing out how to read a growing file without polling,
 *  
 *  This is not a working example yet!!
 *
 */

#define GSE_POSIX_THREADS

#ifdef GSE_POSIX_THREADS
#include <pthread.h>
#endif

#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>

#include <fcntl.h>
#include <poll.h>


int main(int argc, char** argv){
	FILE* pFile;
	char* sBuf[129];
	size_t nBytes;
	struct pollfd poll_info;
	
	sBuf[128] = '\0';
	
	if((argc < 2)||(strcmp(argv[1], "-h") == 0)){
		fprintf(stderr, "Test reading from a file that is accruing data, without"
		                "resorting to polling.\n");
		fprintf(stderr, "Usage:\n\n   %s FILE_THAT_IS_GROWING\n", argv[0]);
		fprintf(stderr, "Then add data to FILE_THAT_IS_GROWING maybe via:\n\n");
		fprintf(stderr, "   echo \"some stuff\" >> FILE_THAT_IS_GROWING\n");
		return 1;
	}

	if( (pFile = fopen(argv[1], "rb")) == NULL){
		fprintf(stderr, "Can't open: '%s'\n", argv[1]);
		return 2;
	}

#ifdef GSE_POSIX_THREADS
	if( (fcntl(fileno(pFile)), F_SETOWN, gettid()

	
	poll_info.fd = fileno(pFile);
	poll_info.events = POLLIN;
	poll_info.revents = 0;
			
	while(1){
		nBytes = read(sBuf, 1, 128, pFile);
		if(nBytes > 0){
			sBuf[nBytes] = '\0';
			fputs((const char*)sBuf, stdout);
			sBuf[0] = '\0';
		}
		else{
			if( ferror(pFile) ){
				fprintf(stderr, "Error in input file\n");
				break;
			}
			if( poll(&poll_info, 1, -1) < 0) {
				fprintf(stderr, "%s\n", strerror(errno));
				break;
			}
		}
	}
	
	fprintf(stderr, "I'm done\n");
	return 0;
}
