/* C routine: sample gettimeofday with seconds and microseconds since the
    Epoch.

Compile:
 gcc -Wall -o gettimeofday gettimeofday.c

Download:
 http://prdownloads.sourceforge.net/souptonuts/working_with_time.tar.gz?download
*/

#include <sys/time.h>
#include <time.h>
#include <stdlib.h>
#include <stdio.h>

int main(void)
{
  char buffer[30];
  struct timeval tv;

  time_t curtime;

  gettimeofday(&tv, NULL);
  curtime=tv.tv_sec;
  
  printf("tv.tv_sec = %ld\n", tv.tv_sec);

  strftime(buffer,30,"%m-%d-%Y  %T.",gmtime(&curtime));
  printf("%s%ld\n",buffer,tv.tv_usec);

  return 0;

}
