#define _POSIX_C_SOURCE 200112

#ifdef GSE_POSIX_THREADS
#include <pthread.h>
#endif

#include <rpwgse/Gse.h>


int main(int argc, char** argv)
{
	FILE* pFile;
	GseMD5Hasher* pHasher;
	byte buf[1024];
	uint4 uRead;
	
	if(argc < 2){
		fprintf(stderr, "Usage:  hash1 FILENAME\n");
	}
	
	gse_thread_init(GSE_WARNING, NULL);
	
	pFile = gse_fopen(argv[1], "rb");
	pHasher = new_GseMD5Hasher();
	
	
	while( (uRead = fread(buf, sizeof(byte), 1024, pFile)) != 0)
	{
		pHasher->update(pHasher, buf, uRead);
	}
	
	printf("%s  %s\n", pHasher->finalStr(pHasher), argv[1]);
	return 0;
}
