#include <rpwgse/GseBlock.hpp>

#ifndef _JWavesMroBlk_HPP_
#define _JWavesMroBlk_HPP_

class cJWavesMroBlk : public cGseBlock {
public:
	cJWavesMroBlk();
	cJWavesMroBlk(cbytebuf_t buf);
	byte modBy();
	/* void setModBy(byte uProgId); */
	byte colRti();
	uint4 colSclk();
	/* void setCollect(uint4 uColSclk, byte uColRti); */
	uint2 idpCrc();
	uint2 idpSeqNo();
	jwaves_tlm_src tlmSrc();
	uint4 idpSclk();
	uint2 origMPlen();
	uint2 origMPrti();
	byte frame();
	byte region();
	uint4 address();
	cbytebuf_t msfBytes();
	
	virtual cGseBlock* copy();
	
protected:
	cJWavesMroBlk(GseBlock* pOther);
};


/* Only needed for the python interface */
cJWavesMroBlk* cast_JWavesMroBlk(cGseBlock* pBlk);

#endif /* _JWavesMroBlk_HPP_ */
