#!/bin/sh

# Add local build directory to lib path so that test programs will
# run before install

ARCH=$(uname -s).$(uname -m)
BUILD_DIR=$(pwd)/build.$ARCH

if [ "x${LD_LIBRARY_PATH}" = "x" ]; then
	LD_LIBRARY_PATH=$BUILD_DIR
else
	LD_LIBRARY_PATH=$BUILD_DIR:$LD_LIBRARY_PATH
fi

echo "export LD_LIBRARY_PATH="$LD_LIBRARY_PATH
export LD_LIBRARY_PATH
