#define _POSIX_C_SOURCE 200112

#ifdef GSE_POSIX_THREADS
#include <pthread.h>
#endif

#include "../rpwgse/GseLog.h"
#include "../rpwgse/GseInit.h"
#include "../rpwgse/GseFile.h"

void test_abs(const char* sPath)
{
	char* sOutPath = gse_abspath(sPath);
	printf("'%s' --> '%s'\n", sPath, sOutPath);
	free(sOutPath);
}


int main(int argc, char** argv)
{
	int i;
	gse_thread_init(GSE_NOTICE, NULL);
	
	
	if(argc > 1){
		/* Test string from cmd line or...*/
		for(i=1; i<argc; i++)
			test_abs(argv[i]);
	}
	else{
		/* Just try some built in tests */
		test_abs("/a/.././doggy");
		test_abs("kitty.cat");
		test_abs("/one/two/three.txt");
		test_abs("/one/two/../three.txt");
		test_abs("/one/two/../../three.txt");
	}
	
	return 0;
}
